Bug 254726 - devel/juce: use system png
Summary: devel/juce: use system png
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-02 18:38 UTC by Piotr Kubaj
Modified: 2021-04-06 12:03 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.98 KB, patch)
2021-04-02 18:38 UTC, Piotr Kubaj
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2021-04-02 18:38:06 UTC
Created attachment 223772 [details]
patch

This fixes build on powerpc64le since the builtin png does not detect VSX availaibility.
Comment 1 Yuri Victorovich freebsd_committer 2021-04-02 19:20:58 UTC
Thank you for the patch, Piotr.

Please commit it if builds with both DEMOS=on and DEMOS=off succeed.
Comment 2 Piotr Kubaj freebsd_committer 2021-04-03 00:15:40 UTC
Building with DEMOS fails:
/wrkdirs/usr/ports/devel/juce/work/JUCE-f37e9a1/modules/juce_audio_device/juce_audio_devices.cpp:188:12: fatal error: 'jack/jack.h' file not found
  #include <jack/jack.h>

But it fails the same way without my patch. And it's not png-related.
Comment 3 Yuri Victorovich freebsd_committer 2021-04-03 00:22:43 UTC
(In reply to Piotr Kubaj from comment #2)

I think that audio/jack dependency is missing for DEMOS. sorry.

Just commit the patch then - I will fix the DEMOS option later.

Sorry for this inconvenience!


Yuri
Comment 4 commit-hook freebsd_committer 2021-04-06 12:03:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=451d0c283a0f9d6e633cc665f5fec8d21c4162b8

commit 451d0c283a0f9d6e633cc665f5fec8d21c4162b8
Author:     Piotr Kubaj <pkubaj@FreeBSD.org>
AuthorDate: 2021-04-06 12:03:34 +0000
Commit:     Piotr Kubaj <pkubaj@FreeBSD.org>
CommitDate: 2021-04-06 12:03:34 +0000

    devel/juce: use system png

    This fixes build on powerpc64le since the builtin png does not detect VSX availaibility.

    PR:     254726
    Approved by:    yuri (maintainer)

 devel/juce/Makefile                                        |  5 +++--
 .../juce/files/patch-modules_juce__core_juce__core.h (new) | 14 ++++++++++++++
 2 files changed, 17 insertions(+), 2 deletions(-)